Role Name
=========

A role that installs the Jupyter notebook and Jupyter Hub, <https://jupyter.org>

Role Variables
--------------

The most important variables are listed below:

``` yaml
jupyter_hub: True
jupyter_lab: True
jupyter_notebook: True
jupyter_hub_ssl_enabled: True
jupyter_hub_letsencrypt_ssl: False
jupyter_hub_logrotate_maxfilesize: '1G'
jupyter_hub_logrotate_retention: '7'
jupyter_hub_external_proxy: False
jupyter_hub_external_proxy_ips:
  - '127.0.0.1'

jupyter_hub_ip: '127.0.0.1'

jupyter_hub_bind_ip: '127.0.0.1'
jupyter_hub_bind_protocol: 'http'
jupyter_hub_bind_port: 8000
jupyter_hub_bind_base_url: '/'

jupyter_hub_active_server_limit: 0
jupyter_hub_active_user_window: 1800
# Users must be informed before setting the foolowing to True
jupyter_hub_admin_access: False
jupyter_hub_concurrent_spawn_limit: 20
jupyter_hub_cookie_max_age_days: 7
jupyter_hub_logo_file: ''
jupyter_hub_concurred_named_servers_limit: 0

jupyter_hub_ldap_authentication: False
jupyter_hub_ldap_server_address: 'ldap://localhost'
jupyter_hub_ldap_bind_dn_template: 'uid={username},ou=Users,dc=example,dc=org'
jupyter_hub_ldap_lookup_dn: False
jupyter_hub_ldap_user_search_base: 'dc=example,dc=org'
jupyter_hub_ldap_user_attribute: 'uid'
jupyter_hub_ldap_user_search_filter: '(&(objectClass=posixAccount)(uid={username}))'

jupyter_is_hadoop_node: False
jupyter_spark_scala_version: '2.11.12'
jupyter_plotly_integration: True
jupyter_plotly_version: '4.9.0'
```

Dependencies
------------

* node-js
* python3-environment
* hadoop-cdh (optional)

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
